Subject: [Teas] FW: New Version Notification for draft-zhao-teas-pce-control-function-01.txt

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 24 May 2016 22:37:17 +0100

Hello again TEAS,

After some discussions on and off the list, here is a new revision.

The changes are small:
- spelling
- add a note to 3.1.2 to observe that a PCE-based controller may take 
  responsibility for managing the partition of an MPLS label space
- clarify the expectations of protocol change in section 4

Please continue to discuss.

Thanks,
Adrian

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: 24 May 2016 22:32
> To: Zhenbin Li; Adrian Farrel; Robin Li; Quintin Zhao; Chao Zhou
> Subject: New Version Notification for draft-zhao-teas-pce-control-function-01.txt
> 
> 
> A new version of I-D, draft-zhao-teas-pce-control-function-01.txt
> has been successfully submitted by Adrian Farrel and posted to the
> IETF repository.
> 
> Name:		draft-zhao-teas-pce-control-function
> Revision:	01
> Title:		An Architecture for Use of PCE and PCEP in a Network with
> Central Control
> Document date:	2016-05-24
> Group:		Individual Submission
> Pages:		21
> URL:            https://www.ietf.org/internet-drafts/draft-zhao-teas-pce-control-
> function-01.txt
> Status:         https://datatracker.ietf.org/doc/draft-zhao-teas-pce-control-
> function/
> Htmlized:       https://tools.ietf.org/html/draft-zhao-teas-pce-control-function-01
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-zhao-teas-pce-control-
> function-01
> 
> Abstract:
>    The Path Computation Element (PCE) has become established as a core
>    component of Software Defined Networking (SDN) systems.  It can
>    compute optimal paths for traffic across a network for any definition
>    of "optimal" and can also monitor changes in resource availability
>    and traffic demands to update the paths.
> 
>    Conventionally, the PCE has been used to derive paths for MPLS Label
>    Switched Paths (LSPs).  These paths are supplied using the Path
>    Computation Element Communication Protocol (PCEP) to the head end of
>    the LSP for signaling in the MPLS network.
> 
>    SDN has a far broader applicability than just signaled MPLS traffic
>    engineered networks, and the PCE may be used to determine paths in a
>    wide range of use cases including static LSPs, segment routing,
>    service function chaining (SFC), and indeed any form of routed or
>    switched network.  It is, therefore reasonable to consider PCEP as a
>    general southbound control protocol for use in these environments to
>    allow the PCE to be fully enabled as a central controller.
> 
>    This document briefly introduces the architecture for PCE as a
>    central controller, examines the motivations and applicability for
>    PCEP as a southbound interface, and introduces the implications for
>    the protocol.  This document does not describe the use cases in
>    detail and does not define protocol extensions: that work is left for
>    other documents.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat